fop 1.1

## org.apache.fop.image.loader.batik
Class ImageLoaderWMF

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
          org.apache.fop.image.loader.batik.ImageLoaderWMF

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImageLoader

    public class ImageLoaderWMF

extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

ImageLoader for WMF (Windows Metafile). Depends on the WMF preloader based on Apache Batik.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader
`MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

Constructor Summary
`ImageLoaderWMF(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)` Main constructor.

Method Summary
`org.apache.xmlgraphics.image.loader.ImageFlavor` `getTargetFlavor()`
`org.apache.xmlgraphics.image.loader.Image` `loadImage(org.apache.xmlgraphics.image.loader.ImageInfo info, java.util.Map hints, org.apache.xmlgraphics.image.loader.ImageSessionContext session)`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
`getUsagePenalty, ignoreColorProfile, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageLoaderWMF

    public ImageLoaderWMF(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

  Main constructor.

  Parameters:
    `targetFlavor` - the target flavor

Method Detail

### getTargetFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()

### loadImage

    public org.apache.xmlgraphics.image.loader.Image loadImage(org.apache.xmlgraphics.image.loader.ImageInfo info,
                                                               java.util.Map hints,
                                                               org.apache.xmlgraphics.image.loader.ImageSessionContext session)
                                                        throws org.apache.xmlgraphics.image.loader.ImageException,
                                                               java.io.IOException

  Throws:
    `org.apache.xmlgraphics.image.loader.ImageException`
    `java.io.IOException`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.